Name:		php4-pdflib
Version: 	2.1.5
Release:	1.11
License: 	Proprietary (http://www.pdflib.com/fileadmin/pdflib/pdf/license/PDFlib-Lite-license.pdf)
Group: 		Development/Libraries
Summary: 	php pdflib extension
Summary(de):	php pdflib Erweiterung
URL: 		http://www.pdflib.com/
Source0: 	pdflib-%{version}.tgz
Patch0:		php4-pdflib-lib64.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	PDFlib-Lite-devel autoconf automake php4-devel glibc-devel libgcc gcc gcc-c++
Requires:	php4 PDFlib-Lite sed grep

%description
This extension wraps the PDFlib programming library
for processing PDF on the fly, created by Thomas Merz. 

%description(de)
Diese Erweiterung nutzt die PDFlib bibliothek fuer das 
erstellen von PDF Dokumenten.

%prep
%setup -q -n pdflib-%{version}
%patch0

export PHP_PREFIX=%{_prefix}
$PHP_PREFIX/bin/phpize
./configure --enable-pdflib=shared --with-php-config=$PHP_PREFIX/bin/php-config

%__make
%install
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/php/extensions/
install -m 755 modules/pdf.so $RPM_BUILD_ROOT%{_libdir}/php/extensions/

%post
if [ -f /etc/php.ini ] ; then
	if [ -z "`grep \"^extension=pdf.so\" /etc/php.ini`" ]; then
		echo "extension=pdf.so" >> /etc/php.ini
	fi
fi

%preun
sed -e s/"extension=pdf.so"//g /etc/php.ini > /etc/php.ini.new
if [ -s /etc/php.ini.new ] ; then
	mv /etc/php.ini.new /etc/php.ini
fi

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/php/extensions/pdf.so
 
%changelog
* Mon Jul 21 2008 Carsten Schoene <cs@linux-administrator.com>
- update to release 2.1.5
- updated filelist

* Wed Oct 17 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.4

* Wed Jun 27 2007 Carsten Schoene <cs@linux-administrator.com>
- renamed the package from php4-pdf to php4-pdflib
- version changed to 2.1.3

* Tue Apr 25 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.0.5

* Wed Feb 08 2006 Carsten Schoene <cs@linux-administrator.com>
- initial build, version 2.0.4
